# $Revision: 1.76 $, $Date: 2011/08/07 17:56:18 $
Summary:	Bluetooth utilities
Summary(pl.UTF-8):	Narzędzia Bluetooth
Name:		bluez
Version:	4.96
Release:	1
License:	GPL v2+
Group:		Applications/System
#Source0Download: http://www.bluez.org/download.html
Source0:	http://www.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.bz2
# Source0-md5:	255c3dda8b93210ab0dcf8d04ddaf69f
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	dund.init
Source4:	pand.init
Source5:	rfcomm.init
Patch0:		%{name}-etc_dir.patch
Patch1:		%{name}-wacom-mode-2.patch
URL:		http://www.bluez.org/
BuildRequires:	alsa-lib-devel >= 1.0.10-1
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	glib2-devel >= 1:2.16
BuildRequires:	gstreamer-devel >= 0.10.30
BuildRequires:	gstreamer-plugins-base-devel >= 0.10
BuildRequires:	libcap-ng-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libusb-compat-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	udev-devel
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	glib2 >= 1:2.16
Requires:	hwdata >= 0.225
Requires:	rc-scripts
Provides:	bluez-utils = %{epoch}:%{version}-%{release}
Obsoletes:	bluez-hciemu
Obsoletes:	bluez-pan
Obsoletes:	bluez-sdp
Obsoletes:	bluez-utils
Obsoletes:	bluez-utils-init
Conflicts:	bluez-bluefw
ExcludeArch:	s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# currently lib, not %{_lib} (see cups.spec)
%define		cupsdir		/usr/lib/cups/backend
%define		udevdir		/lib/udev

%description
Bluetooth utilities:
 - bluetoothd
 - dund
 - hcitool
 - hciattach
 - hciconfig
 - hciemu
 - hidd
 - l2ping
 - pand
 - start scripts (PLD)
 - PCMCIA configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description -l pl.UTF-8
Narzędzia Bluetooth:
 - bluetoothd
 - dund
 - hcitool
 - hciattach
 - hciconfig
 - hciemu
 - hidd
 - l2ping
 - pand
 - skrypty startowe (PLD)
 - pliki konfiguracji PCMCIA

Znaki towarowe BLUETOOTH są własnością Bluetooth SIG, Inc. z USA.

%package -n alsa-plugins-bluetooth
Summary:	ALSA plugins for Bluetooth audio devices
Summary(pl.UTF-8):	Wtyczki systemu ALSA dla urządzeń dźwiękowych Bluetooth
Group:		Libraries
# bluetoothd + audio service
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	alsa-lib >= 1.0.10-1

%description -n alsa-plugins-bluetooth
ALSA plugins for Bluetooth audio devices.

%description -n alsa-plugins-bluetooth -l pl.UTF-8
Wtyczki systemu ALSA dla urządzeń dźwiękowych Bluetooth.

%package -n cups-backend-bluetooth
Summary:	Bluetooth backend for CUPS
Summary(pl.UTF-8):	Backend Bluetooth dla CUPS-a
Group:		Applications/Printing
Requires:	bluez-libs >= %{epoch}:%{version}-%{release}
Requires:	cups

%description -n cups-backend-bluetooth
Bluetooth backend for CUPS.

%description -n cups-backend-bluetooth -l pl.UTF-8
Backend Bluetooth dla CUPS-a.

%package -n gstreamer-bluetooth
Summary:	Bluetooth support for gstreamer
Summary(pl.UTF-8):	Obsługa Bluetooth dla gstreamera
Group:		Libraries
Requires:	bluez-libs >= %{epoch}:%{version}-%{release}
Requires:	gstreamer >= 0.10.30
Requires:	gstreamer-plugins-base >= 0.10

%description -n gstreamer-bluetooth
Bluetooth support for gstreamer.

%description -n gstreamer-bluetooth -l pl.UTF-8
Obsługa Bluetooth dla gstreamera.

%package libs
Summary:	Bluetooth libraries
Summary(pl.UTF-8):	Biblioteki Bluetooth
Group:		Development/Libraries
Obsoletes:	bluez-sdp

%description libs
Libraries for use in Bluetooth applications.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description libs -l pl.UTF-8
Biblioteki do używania w aplikacjach Bluetooth.

Znaki towarowe BLUETOOTH są własnością Bluetooth SIG, Inc. z USA.

%package libs-devel
Summary:	Header files for Bluetooth applications
Summary(pl.UTF-8):	Pliki nagłówkowe dla aplikacji Bluetooth
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:	bluez-sdp-devel

%description libs-devel
bluez-libs-devel contains header files for use in Bluetooth
applications.

%description libs-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do używania w aplikacjach
Bluetooth.

%package libs-static
Summary:	Static Bluetooth libraries
Summary(pl.UTF-8):	Biblioteki statyczne Bluetooth
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{epoch}:%{version}-%{release}
Obsoletes:	bluez-sdp-static

%description libs-static
bluez-libs-static contains development static libraries for use in
Bluetooth applications.

%description libs-static -l pl.UTF-8
Ten pakiet zawiera biblioteki statyczne, których można używać do
aplikacji Bluetooth.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-ouifile=%{_datadir}/hwdata/oui.txt \
	--disable-silent-rules \
	--enable-shared \
	--enable-static \
	--enable-alsa \
	--enable-audio \
	--enable-bccmd \
	--enable-capng \
	--enable-configfiles \
	--enable-cups \
	--enable-dbusoob \
	--enable-dfutool \
	--enable-dund \
	--enable-gstreamer \
	--enable-health \
	--enable-hid2hci \
	--enable-hidd \
	--enable-input \
	--enable-network \
	--enable-pand \
	--enable-pcmcia \
	--enable-pnat \
	--enable-serial \
	--enable-tools \
	--enable-usb \
	--enable-udevrules \
	--enable-wiimote

%{__make} \
	cupsdir=%{cupsdir} \
	rulesdir=%{udevdir}/rules.d \
	udevdir=%{udevdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	cupsdir=%{cupsdir} \
	rulesdir=%{udevdir}/rules.d \
	udevdir=%{udevdir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/bluetooth
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/bluetooth
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/dund
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/pand
install %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/rfcomm

install audio/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/bluetooth
install input/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/bluetooth
install network/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/bluetooth
install serial/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/bluetooth

mv -fT $RPM_BUILD_ROOT{%{_datadir},%{_sysconfdir}}/alsa

%{__rm} $RPM_BUILD_ROOT%{_libdir}/{alsa-lib/*.{la,a},gstreamer*/libgstbluetooth.{la,a},libbluetooth.la}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bluetooth
/sbin/chkconfig --add dund
/sbin/chkconfig --add pand
/sbin/chkconfig --add rfcomm
%service bluetooth restart
%service dund restart
%service pand restart
%service rfcomm restart

%preun
if [ "$1" = "0" ]; then
	%service bluetooth stop
	%service dund stop
	%service pand stop
	%service rfcomm stop
	/sbin/chkconfig --del bluetooth
	/sbin/chkconfig --del dund
	/sbin/chkconfig --del pand
	/sbin/chkconfig --del rfcomm
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/ciptool
%attr(755,root,root) %{_bindir}/dfutool
%attr(755,root,root) %{_bindir}/dund
%attr(755,root,root) %{_bindir}/gatttool
%attr(755,root,root) %{_bindir}/hcitool
%attr(755,root,root) %{_bindir}/hidd
%attr(755,root,root) %{_bindir}/l2ping
%attr(755,root,root) %{_bindir}/pand
%attr(755,root,root) %{_bindir}/rfcomm
%attr(755,root,root) %{_bindir}/sdptool
%attr(755,root,root) %{_sbindir}/bccmd
%attr(755,root,root) %{_sbindir}/bluetoothd
%attr(755,root,root) %{_sbindir}/hciattach
%attr(755,root,root) %{_sbindir}/hciconfig
%dir %{_libdir}/bluetooth
%dir %{_libdir}/bluetooth/plugins
%dir %{_sysconfdir}/bluetooth
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/bluetooth/*.conf
%attr(754,root,root) /etc/rc.d/init.d/bluetooth
%attr(754,root,root) /etc/rc.d/init.d/dund
%attr(754,root,root) /etc/rc.d/init.d/pand
%attr(754,root,root) /etc/rc.d/init.d/rfcomm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/bluetooth
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/bluetooth.conf
%attr(755,root,root) %{udevdir}/bluetooth_serial
%attr(755,root,root) %{udevdir}/hid2hci
%{udevdir}/rules.d/97-bluetooth.rules
%{udevdir}/rules.d/97-bluetooth-hid2hci.rules
%{udevdir}/rules.d/97-bluetooth-serial.rules
%{_mandir}/man1/ciptool.1*
%{_mandir}/man1/dfutool.1*
%{_mandir}/man1/dund.1*
%{_mandir}/man1/hcitool.1*
%{_mandir}/man1/hidd.1*
%{_mandir}/man1/pand.1*
%{_mandir}/man1/rfcomm.1*
%{_mandir}/man1/sdptool.1*
%{_mandir}/man8/bccmd.8*
%{_mandir}/man8/bluetoothd.8*
%{_mandir}/man8/hciattach.8*
%{_mandir}/man8/hciconfig.8*
%{_mandir}/man8/hid2hci.8*
%{_mandir}/man8/l2ping.8*

%files -n alsa-plugins-bluetooth
%defattr(644,root,root,755)
%{_sysconfdir}/alsa/bluetooth.conf
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_ctl_bluetooth.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_bluetooth.so

%files -n cups-backend-bluetooth
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/lib/cups/backend/bluetooth

%files -n gstreamer-bluetooth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gstreamer*/libgstbluetooth.so

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbluetooth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbluetooth.so.3

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbluetooth.so
%{_includedir}/bluetooth
%{_pkgconfigdir}/bluez.pc

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libbluetooth.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bluez.spec,v $
Revision 1.76  2011/08/07 17:56:18  qboosh
- updated to 4.96

Revision 1.75  2011/07/13 16:52:09  qboosh
- updated to 4.95

Revision 1.74  2011/06/09 01:09:27  gotar
- removed /etc/alsa dir (owned by alsa-lib package) and la file, rel. 2

Revision 1.73  2011/06/02 10:46:38  caleb
- Up to 4.94
- Removed patch for bug fixed upstream.

Revision 1.72  2011/05/06 16:05:43  qboosh
- updated to 4.93

Revision 1.71  2011/04/29 20:20:28  qboosh
- BR: readline-devel (for gatttool)

Revision 1.70  2011/04/29 20:10:05  qboosh
- enabled attrib,dbusoob,health,pnat
- updated required glib2 and gstreamer versions

Revision 1.69  2011/04/13 12:04:02  caleb
- Up to 4.91

Revision 1.68  2011/03/24 16:22:12  qboosh
- cleanup

Revision 1.67  2011/03/24 11:07:37  caleb
- Up to 4.90

Revision 1.66  2011/02/28 21:44:55  glen
- udev rules not config

Revision 1.65  2011/02/25 08:23:24  caleb
- Up to 4.89

Revision 1.64  2011/01/28 18:51:19  qboosh
- updated to 4.87

Revision 1.63  2011/01/24 13:02:17  caleb
- Up to 4.86

Revision 1.62  2011/01/17 22:04:52  arvenil
- up to 4.85

Revision 1.61  2011/01/03 09:29:46  caleb
- Up to 4.84

Revision 1.60  2010/12/06 22:58:17  areq
- 4.81

Revision 1.59  2010/11/23 15:37:24  caleb
- Up to 4.80

Revision 1.58  2010/11/08 19:07:08  caleb
- Up to 4.79

Revision 1.57  2010/11/08 10:03:12  caleb
- Up to 4.78

Revision 1.56  2010/11/05 10:14:56  caleb
- Up to 4.77

Revision 1.55  2010/10/22 07:09:41  qboosh
- netlink no longer used

Revision 1.54  2010/10/21 10:56:54  caleb
- Up to 4.76, removed packages files no longer in present

Revision 1.53  2010/10/13 06:37:07  qboosh
- use __rm macro for buildroot cleanup
- track binaries and soname

Revision 1.52  2010/10/12 21:08:15  arvenil
- up to 4.75
- drop *-oui.patch, no more needed, use --with-ouifile instead

Revision 1.51  2010/09/02 06:45:14  qboosh
- actually enable capng
- disable silent-rules as usual, dropped verbose bcond
- updated BR versions

Revision 1.50  2010/08/14 20:55:26  arvenil
- up to 4.69

Revision 1.49  2010/06/13 15:58:09  arvenil
- up to 4.66

Revision 1.48  2010/05/25 19:53:53  arvenil
- up to 4.65

Revision 1.47  2010/05/01 14:46:46  arvenil
- up to 4.64

Revision 1.46  2010/04/25 18:10:23  vip
- rel up (to rebuild with updated init script)

Revision 1.45  2010/04/07 06:19:25  amateja
- updated to 4.63

Revision 1.44  2010/03/08 07:56:56  amateja
- updated to 4.62

Revision 1.43  2010/02/13 06:31:15  amateja
- updated to 4.61

Revision 1.42  2010/01/10 12:14:56  lmasko
- Up to 4.60.

Revision 1.41  2009/11/24 23:51:49  charles
- up to 4.58

Revision 1.40  2009/11/07 17:03:13  adamg
- updated to 4.57

Revision 1.39  2009/10/24 17:53:45  charles
- updated to 4.56
- added verbose bcond
- BR: libcap-ng-devel

Revision 1.38  2009/10/05 18:46:08  amateja
- updated to 4.55

Revision 1.37  2009/09/28 12:17:06  amateja
- updated to 4.54
- bluez-parallel-make.patch is required no longer

Revision 1.36  2009/09/27 22:46:21  cactus
rel 2; added audio,input,network,serial config files

Revision 1.35  2009/09/22 10:47:31  adamg
- fix parallel build

Revision 1.34  2009/09/22 09:16:05  amateja
- pass j1 flag

Revision 1.33  2009/09/22 08:33:44  amateja
- updated to 4.53

Revision 1.32  2009/08/08 11:52:52  arekm
- rel 3; oui/utf8 patches from fc, init fixes

Revision 1.31  2009/08/04 19:13:20  arekm
- rel 2; init scripts into separate files

Revision 1.30  2009/07/31 06:56:01  matkor
- Update to 4.45-1. wacom patches added. (all by Przemysław Firszt).

Revision 1.29  2009/07/18 10:11:29  charles
- removed BR openobex-devel (not needed)

Revision 1.28  2009/06/21 15:46:35  hawk
- include /etc/alsa too, it is not provided by any other package

Revision 1.27  2009/06/21 15:29:23  hawk
- updated to 4.42

Revision 1.26  2009/06/10 14:41:53  patrys
- add patches to prevent bluetoothd from crashing

Revision 1.25  2009/06/09 15:59:38  charles
- updated to 4.41
- BR: libnl-devel (--enable-netlink)
- more config files

Revision 1.24  2009/05/24 17:02:26  patrys
- 4.40
- package alsa configuration

Revision 1.23  2009/05/12 18:33:29  charles
- added /etc/bluetooth/audio.conf

Revision 1.22  2009/05/11 13:15:36  amateja
- updated to 4.39

Revision 1.21  2009/05/05 23:47:49  arvenil
- up to 4.38

Revision 1.20  2009/04/13 22:11:56  gotar
- upgraded to 4.35, s/hcid/bluetoothd/

Revision 1.19  2009/03/17 14:59:31  arekm
- up to 4.33

Revision 1.18  2009/02/04 12:45:21  hawk
- updated to 4.28, BR libusb-compat to make it work with libusb 1.0.0

Revision 1.17  2009/01/27 21:46:23  hawk
- updated to 4.27

Revision 1.16  2009/01/03 10:11:50  arekm
- up to 4.25

Revision 1.15  2008/12/03 20:13:58  arekm
- up to 4.21

Revision 1.14  2008/11/21 22:51:33  mmazur
- up to 4.19

Revision 1.13  2008/11/05 12:47:38  hawk
- updated to 4.17

Revision 1.12  2008/10/28 20:54:20  arekm
- rel 2; fix udev dir

Revision 1.11  2008/10/23 20:39:35  patrys
- 4.16

Revision 1.10  2008/10/21 12:41:36  hawk
- updated to 4.15

Revision 1.9  2008/10/18 15:43:19  patrys
- 4.14
- actually works

Revision 1.8  2008/10/12 16:07:26  patrys
- 4.13

Revision 1.7  2008/09/17 09:48:37  vip
- up to 4.6

Revision 1.6  2008/09/12 16:40:32  wolvverine
- up to 4.5, STBR

Revision 1.5  2008/08/31 17:35:40  arekm
- rel 3; P blues-utils, too

Revision 1.4  2008/08/31 17:33:58  arekm
- rel 2; O: bluez-utils

Revision 1.3  2008/08/31 16:21:34  arekm
- some static libs/modules are not needed

Revision 1.2  2008/08/31 16:16:59  arekm
- rel 1

Revision 1.1  2008/08/31 16:07:14  arekm
- new 4.2 version (obsoletes bluez-libs.spec and bluez-utils.spec)
